Agora RTC Objective-C API Reference Refactor

Data Structures
IScreenCaptureSource Class Referenceabstract

Inherits RefCountInterface.

## Data Structures
struct | AudioCaptureConfig
class | Control
struct | ScreenSourceListOption
struct | VideoCaptureConfig

## Member Enumeration Documentation

## ◆ CaptureMode

enum CaptureMode

Enumerator
kPull |
kPush |

## Constructor & Destructor Documentation

## ◆ ~IScreenCaptureSource()

virtual ~IScreenCaptureSource | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ initializeCapture()

virtual int initializeCapture | ( | const agora_refptr< Control > & | control | ) |
| pure virtual

## ◆ initVideo()

virtual int initVideo | ( | const VideoCaptureConfig & | config | ) |
| pure virtual

## ◆ startVideoCapture()

virtual int startVideoCapture | ( | const VideoCaptureConfig & | config | ) |
| pure virtual

## ◆ stopVideoCapture()

virtual int stopVideoCapture | ( |  | ) |
| pure virtual

## ◆ stopVideoCaptureAsync()

virtual int stopVideoCaptureAsync | ( |  | ) |
| pure virtual

## ◆ getVideoCaptureMode()

virtual CaptureMode getVideoCaptureMode | ( |  | ) |
| pure virtual

## ◆ isAudioCaptureSupported()

virtual bool isAudioCaptureSupported | ( |  | ) |
| inline virtual

## ◆ startAudioCapture()

virtual int startAudioCapture | ( | const AudioCaptureConfig & | config | ) |
| inline virtual

## ◆ stopAudioCapture()

virtual int stopAudioCapture | ( |  | ) |
| inline virtual

## ◆ setAudioVolume()

virtual int setAudioVolume | ( | uint32_t | volume | ) |
| inline virtual

## ◆ setFrameRate()

virtual int setFrameRate | ( | int | fps | ) |
| inline virtual

## ◆ setScreenCaptureDimensions()

virtual int setScreenCaptureDimensions | ( | const agora::rtc::VideoDimensions & | dimensions | ) |
| inline virtual

## ◆ updateCaptureRegion()

virtual int updateCaptureRegion | ( | const agora::rtc::Rectangle & | captureRegion | ) |
| inline virtual

## ◆ setExcludeWindowList()

virtual int setExcludeWindowList | ( | void *const * | handles,
|  | int | count
| ) |  |
| inline virtual

## ◆ captureMouseCursor()

virtual int captureMouseCursor | ( | bool | capture | ) |
| inline virtual

## ◆ capture()

virtual int capture | ( | agora::agora_refptr< IVideoFrame > & | frame | ) |
| inline virtual

## ◆ getProfilingStats()

virtual int getProfilingStats | ( | ScreenCaptureProfilingStatistics & | stats | ) |
| inline virtual

## ◆ getScreenDimensions()

virtual int getScreenDimensions | ( | int & | width,
|  | int & | height
| ) |  |
| inline virtual

## ◆ setProperty()

virtual int setProperty | ( | const char * | key,
|  | const char * | json_value
| ) |  |
| inline virtual

## ◆ setCustomContext()

virtual int setCustomContext | ( | const char * | key,
|  | const void * | context
| ) |  |
| inline virtual

## ◆ getProperty()

virtual int getProperty | ( | const char * | key,
|  | char * | json_value,
|  | int & | length
| ) |  |
| inline virtual

## ◆ setHighLight()

virtual int setHighLight | ( | bool | isHighLight,
|  | unsigned int | color,
|  | int | width
| ) |  |
| inline virtual

## ◆ setContentType()

virtual int setContentType | ( | int | contentType | ) |
| inline virtual

## ◆ getCustomContext()

virtual void* getCustomContext | ( | const char * | key | ) |
| inline virtual

## ◆ getScreenCaptureSources()

virtual void* getScreenCaptureSources | ( | const ScreenSourceListOption & | option | ) |
| inline virtual

## ◆ setFrameCopy()

virtual void setFrameCopy | ( | bool | frameCopy | ) |
| inline virtual

## ◆ AddRef()

virtual void AddRef | ( |  | ) | const
| pure virtual inherited

## ◆ Release()

virtual RefCountReleaseStatus Release | ( |  | ) | const
| pure virtual inherited

## ◆ HasOneRef()

virtual bool HasOneRef | ( |  | ) | const
| pure virtual inherited